# Uses of Class
org.apache.lucene.index.PointValues

Packages that use PointValues
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90
Lucene 9.0 file format.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.bkd
Block KD-tree, implementing the generic spatial data structure described in this paper.

## Uses of PointValues in org.apache.lucene.codecs

Methods in org.apache.lucene.codecs that return PointValues
Modifier and Type
Method
Description
`abstract PointValues`
PointsReader.`getValues(String field)`
Return `PointValues` for the given `field`.

## Uses of PointValues in org.apache.lucene.codecs.lucene90

Methods in org.apache.lucene.codecs.lucene90 that return PointValues
Modifier and Type
Method
Description
`PointValues`
Lucene90PointsReader.`getValues(String fieldName)`
Returns the underlying `BKDReader`.

## Uses of PointValues in org.apache.lucene.index

Methods in org.apache.lucene.index that return PointValues
Modifier and Type
Method
Description
`final PointValues`
CodecReader.`getPointValues(String field)`
`PointValues`
ExitableDirectoryReader.ExitableFilterAtomicReader.`getPointValues(String field)`
`PointValues`
FilterLeafReader.`getPointValues(String field)`
`abstract PointValues`
LeafReader.`getPointValues(String field)`
Returns the `PointValues` used for numeric or spatial searches for the given field, or null if there are no point fields.
`PointValues`
ParallelLeafReader.`getPointValues(String fieldName)`
Constructors in org.apache.lucene.index with parameters of type PointValues
Modifier
Constructor
Description
``
`VerifyPointsVisitor(String fieldName, int maxDoc, PointValues values)`
Sole constructor

## Uses of PointValues in org.apache.lucene.util

Constructors in org.apache.lucene.util with parameters of type PointValues
Modifier
Constructor
Description
``
`DocIdSetBuilder(int maxDoc, PointValues values, String field)`
Create a `DocIdSetBuilder` instance that is optimized for accumulating docs that match the given `PointValues`.

## Uses of PointValues in org.apache.lucene.util.bkd

Subclasses of PointValues in org.apache.lucene.util.bkd
Modifier and Type
Class
Description
`class`
`BKDReader`
Handles reading a block KD-tree in byte[] space previously written with `BKDWriter`.